API Explorer 936 endpoints

Get Metrics at Bank

GET /obp/v7.0.0/management/metrics/banks/BANK_ID

OBPv5.0.0-getMetricsAtBank Roles: CanGetMetricsAtOneBank(per bank) MetricAPI

Get the all metrics at the Bank specified by BANK_ID

require CanReadMetrics role

Filters Part 1.filtering (no wilde cards etc.) parameters to GET /management/metrics

Should be able to filter on the following metrics fields

eg: /management/metrics?from_date=1100-01-01T01:01:01.000Z&to_date=1100-01-01T01:01:01.000Z&limit=50&offset=2

1 from_date (defaults to one week before current date): eg:from_date=1100-01-01T01:01:01.000Z

2 to_date (defaults to current date) eg:to_date=1100-01-01T01:01:01.000Z

3 limit (for pagination: defaults to 50) eg:limit=200

4 offset (for pagination: zero index, defaults to 0) eg: offset=10

5 sort_by (defaults to date field) eg: sort_by=date possible values: "url", "date", "username" (or "user_name" for backward compatibility), "app_name", "developer_email", "implemented_by_partial_function", "implemented_in_version", "consumer_id", "verb"

6 direction (defaults to date desc) eg: direction=desc

eg: /management/metrics?from_date=1100-01-01T01:01:01.000Z&to_date=1100-01-01T01:01:01.000Z&limit=10000&offset=0&anon=false&app_name=TeatApp&implemented_in_version=v2.1.0&verb=POST&user_id=c7b6cb47-cb96-4441-8801-35b57456753a&username=susan.uk.29@example.com&consumer_id=78

Other filters:

7 consumer_id (if null ignore)

8 user_id (if null ignore)

9 anon (if null ignore) only support two value : true (return where user_id is null.) or false (return where user_id is not null.)

10 url (if null ignore), note: can not contain '&'.

11 app_name (if null ignore)

12 implemented_by_partial_function (if null ignore),

13 implemented_in_version (if null ignore)

14 verb (if null ignore)

15 correlation_id (if null ignore)

16 duration (if null ignore) non digit chars will be silently omitted

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (13)
app_name
appNameBank
consumer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
correlation_id
1flssoftxq0cr1nssr68u0mioj
date
2020-01-27
developer_email
duration
5.123
implemented_by_partial_function
implemented_in_version
metrics
url
http://www.example.com/id-docs/123/image.png
user_id
9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
user_name
felixsmith
verb
Example success response
{
  "metrics": [
    {
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "url": "www.openbankproject.com",
      "date": "1100-01-01T00:00:00Z",
      "user_name": "OBP",
      "app_name": "SOFI",
      "developer_email": "felixsmith@example.com",
      "implemented_by_partial_function": "getBanks",
      "implemented_in_version": "v210",
      "consumer_id": "123",
      "verb": "get",
      "correlation_id": "v8ho6h5ivel3uq7a5zcnv0w1",
      "duration": 39
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv5.0.0 getMetricsAtBank Originally /obp/v5.0.0/management/metrics/banks/BANK_ID